Preferences::Preferences() {
	useDefaultDir=0;
	ignoreDefaultSong=1;
	silenceSeconds=8;
	silenceSamples=8*44100;
	expandInfo=0;
}

void Preferences::load() {
	char defPath[768];
	strcpy(defPath,getenv("HOME"));
	strcat(defPath,"/.mmsap.conf.bin");

	FILE* f = fopen(defPath,"rb");
	if (f==NULL) return;
	
	int z=0;
	z+=fread(&useDefaultDir,sizeof(useDefaultDir),1,f);
	z+=fread(&ignoreDefaultSong,sizeof(ignoreDefaultSong),1,f);
	z+=fread(&silenceSeconds,sizeof(silenceSeconds),1,f);
	z+=fread(defaultdir,sizeof(defaultdir),1,f);
	z+=fread(&expandInfo,sizeof(expandInfo),1,f);
	fclose(f);
	
}

void Preferences::save() {
	char defPath[768];
	strcpy(defPath,getenv("HOME"));
	strcat(defPath,"/.mmsap.conf.bin");
	
	FILE* f = fopen(defPath,"wb");
	if (f==NULL) return;

	int z=0;
	z+=fwrite(&useDefaultDir,sizeof(useDefaultDir),1,f);
	z+=fwrite(&ignoreDefaultSong,sizeof(ignoreDefaultSong),1,f);
	z+=fwrite(&silenceSeconds,sizeof(silenceSeconds),1,f);
	z+=fwrite(defaultdir,sizeof(defaultdir),1,f);
	z+=fwrite(&expandInfo,sizeof(expandInfo),1,f);
	
	fclose(f);
	
}
