/*Holds the configuration. Configuration is stored in ~/.mmsap.conf.bin
because the configuration file is binary. It is a non-Linux way, but in this
case should be suitable.
*/

class Preferences {

	public:
	char defaultdir[512];
	int useDefaultDir;
	int ignoreDefaultSong;
	long int silenceSeconds;
	long int silenceSamples;
	int expandInfo;
	
	/*Constructor*/
	Preferences();
	/*Load preferences, if failed, use defaults*/
	void load();
	/*Save preferences, if failed, write it only to the console*/
	void save();
	/*Direct access to members is OK*/
};
