// generated 2006/6/25 15:39:54 CEST by michael@baktra.
// using glademm V2.6.0
//
// newer (non customized) versions of this file go to winMainWindow.cc_new

// This file is for your program, I won't touch it again!

#include "config.h"
#include "winMainWindow.hh"

void winMainWindow::on_mniOpen_activate()
{
	int k=fcptr->run();
	fcptr->hide();
	
	if (k==Gtk::RESPONSE_OK) {

		/*File open*/
		int r=0;
		r=audioPtr->openSAP((char*)fcptr->get_filename().c_str());

		if (r<0) {
			lblTitle->set_label("ERROR: Unable to open SAP tune");
			expander1->set_expanded(true);
			puts("ERROR: Unable to open SAP tune");
			return;
		}

		audioPtr->playSAP();
		
		/*Update information*/
		if (sapHeader->commentBuffer!=NULL) {
			lblTitle->set_label(sapHeader->commentBuffer);
		}
		
		audioPtr->updateSongChr();
		lblNumbers->set_text(audioPtr->songChr);
		
	}
	
	
}

void winMainWindow::on_mniQuit_activate()
{  
	hide();
}

void winMainWindow::on_mniAbout_activate()
{  
	aboutPtr->show();
}

void winMainWindow::on_btnPlay_clicked()
{
	audio.playSAP();
}

void winMainWindow::on_btnStop_clicked()
{
	audio.stopSAP();
}

void winMainWindow::on_btnPrevious_clicked()
{
	audio.previousSubsong();
	audioPtr->updateSongChr();
	lblNumbers->set_text(audioPtr->songChr);
}

void winMainWindow::on_btnNext_clicked()
{ 
	audio.nextSubsong();
	audioPtr->updateSongChr();
	lblNumbers->set_text(audioPtr->songChr);
}

void winMainWindow::on_chbRepeatSubsong_toggled()
{
	audio.oneRepeat=!(audio.oneRepeat);
}

/*Preferences dialog invoked*/
void winMainWindow::on_Preferences_activate()
{  
	int k = preferencesPtr->run();
	preferencesPtr->hide();

	/*If OK, set the prefs*/
	if (k==Gtk::RESPONSE_OK) {

		/*Ignore default*/
		if (preferencesPtr->chbIgnoreDefaultSong->get_active()==false) {
			prefs.ignoreDefaultSong=0;
		}
		else {
			prefs.ignoreDefaultSong=1;
		}
		/*Expand info*/
		if (preferencesPtr->chbExpandInfo->get_active()==false) {
			prefs.expandInfo=0;
		}
		else {
			prefs.expandInfo=1;
		}

		/*Use default directory*/
		if (preferencesPtr->chbUseDefaultDirectory->get_active()==false) {
			prefs.useDefaultDir=0;
		}
		else {
			prefs.useDefaultDir=1;
		}
		/*Default directory*/		
		const char* tmp;
		tmp=preferencesPtr->entryDefaultDirectory->get_text().c_str();
		if (strlen(tmp)<512) strcpy(prefs.defaultdir,tmp);
		
		
		/*Silence length change*/
		prefs.silenceSeconds=(long int)(preferencesPtr->hscSilence->get_value());
		prefs.silenceSamples=prefs.silenceSeconds*44100;


		
	}

	/*If CANCEL, reset the dialog*/
	else {
		setupPrefsDialog();
	}
	

}
